
%include	/usr/lib/rpm/macros.mono
%define		module	dbus-sharp

Summary:	D-Bus for .NET - C# library implementing D-Bus
Summary(pl.UTF-8):	D-Bus dla .NET - biblioteka C# implementująca D-Bus
Name:		dotnet-dbus-sharp
Version:	0.7.0
Release:	3
Epoch:		1
License:	MIT
Group:		Libraries
#Source0Download: https://github.com/mono/dbus-sharp/downloads
Source0:	http://github.com/downloads/mono/dbus-sharp/%{module}-%{version}.tar.gz
# Source0-md5:	1964fc341dcbaeda859c53cee295d042
Patch0:		dbus-monodir.patch
URL:		http://mono.github.com/dbus-sharp/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	mono-csharp >= 1.1.13
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	rpmbuild(monoautodeps)
BuildRequires:	sed >= 4.0
Requires:	mono >= 1.1.13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dbus-sharp is a fork of ndesk-dbus, which is a C# implementation of
D-Bus. It's often referred to as "managed D-Bus" to avoid confusion
with other existing bindings (which wrap libdbus).

%description -l pl.UTF-8
dbus-sharp to odgałęzienie ndesk-dbus, czyli implementacji D-Bus w
języku C#. Często jest nazywane "zarządzanym D-Bus" w odróżnieniu od
innych istniejących wiązań, obudowujących bibliotekę libdbus.

%package devel
Summary:	Development files for dbus-sharp library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki dbus-sharp
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	mono-devel >= 1.1.13

%description devel
Development files for dbus-sharp library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki dbus-sharp.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README
%{_prefix}/lib/mono/gac/dbus-sharp

%files devel
%defattr(644,root,root,755)
%{_prefix}/lib/mono/dbus-sharp-1.0
%{_pkgconfigdir}/dbus-sharp-1.0.pc
%changelog
* Sun Jul 13 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dotnet-dbus-sharp.git;a=log;h=master

* Sun Jul 13 2014 Jakub Bogusz <qboosh@pld-linux.org> 78deeb5
- libtool is not used here

* Sun Jul 13 2014 Jakub Bogusz <qboosh@pld-linux.org> f42316e
- completed packaging, adjusted descriptions and License
- release 3

* Mon Feb 21 2011 lisu <lisu@pld-linux.org> 7f0b7ba
- use %%{module} in names

* Mon Feb 21 2011 lisu <lisu@pld-linux.org> b4d35aa
- resurected and adjusted for 0.7.0

* Mon Feb 21 2011 lisu <lisu@pld-linux.org> a63bb37
- restore dbus-monodir.patch and adjust it for current version

* Mon Feb 21 2011 lisu <lisu@pld-linux.org> 3b5ba50
- reverse
- rel 2

* Mon Feb 21 2011 lisu <lisu@pld-linux.org> 04eacc4
- use _libdir

* Mon Feb 21 2011 lisu <lisu@pld-linux.org> 91c0a60
- get sources from github

* Mon Feb 21 2011 lisu <lisu@pld-linux.org> 6501aec
- obsoleted

* Mon Feb 21 2011 lisu <lisu@pld-linux.org> 95ca008
- up to 0.7.0
- Epoch 1
- package %%doc
- misc changes

* Thu Oct 28 2010 Marcin Banasiak <marcin.banasiak@gmail.com> fd532ad
- release 3

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b6502ca
- release 2

* Tue May 22 2007 Jakub Bogusz <qboosh@pld-linux.org> 13c3990
- more specific URL

* Fri May 18 2007 Jakub Bogusz <qboosh@pld-linux.org> 7d1f935
- BR: rpmbuild(monoautodeps)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 0e01d86
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1910ea3
- converted to UTF-8

* Tue Dec 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 2d6ae79
- BR: libtool

* Sat Aug 19 2006 Jakub Bogusz <qboosh@pld-linux.org> 8f8455b
- updated summaries/descs

* Fri Aug 11 2006 freetz <freetz@pld-linux.org> 5cce41c
- monodoc ist not required, fixed R in -devel

* Fri Aug 11 2006 freetz <freetz@pld-linux.org> 1973981
- based on dbus.spec, no official tarball yet

